Altibase.jdbc.driver.ex

## Class ErrorDef

- java.lang.Object
- - Altibase.jdbc.driver.ex.ErrorDef

    public class ErrorDef
    extends java.lang.Object

### Field Summary

Fields
`static int` `ADMIN_MODE_ERROR`
`static int` `ALREADY_CONVERTED`
`static int` `ARGUMENT_OVER_LIMIT`
`static int` `ARGUMENT_UNDER_LIMIT`
`static int` `BATCH_UPDATE_EXCEPTION_OCCURRED`
`static int` `CAN_NOT_CREATE_KEYSTORE_INSTANCE`
`static int` `CAN_NOT_LOAD_KEYSTORE`
`static int` `CAN_NOT_OPEN_KEYSTORE`
`static int` `CAN_NOT_RETREIVE_KEY_FROM_KEYSTORE`
`static int` `CANNOT_BE_UNWRAPPED`
`static int` `CANNOT_BIND_THE_DATA_TYPE_DURING_ADDING_BATCH_JOB`
`static int` `CANNOT_RENAME_DB_NAME`
`static int` `CANNOT_SELECT_PROWID`
`static int` `CANNOT_SET_SAVEPOINT_AT_AUTO_COMMIT_MODE`
`static int` `CANNOT_USE_PREPARED_STATEMENT_METHOD_WITH_SQL`
`static int` `CLIENT_UNABLE_ESTABLISH_CONNECTION`
`static int` `CLOSED_CONNECTION`
`static int` `CLOSED_RESULTSET`
`static int` `CLOSED_STATEMENT`
`static int` `COLUMN_NOT_FOUND`
`static int` `COLUMN_READER_INITIALIZATION_SKIPPED`
`static int` `COMMUNICATION_ERROR`
`static int` `CURSOR_AT_AFTER_LAST`
`static int` `CURSOR_AT_BEFORE_FIRST`
`static int` `CURSOR_AT_INSERTING_ROW`
`static int` `CURSOR_NOT_AT_INSERTING_ROW`
`static int` `CURSOR_OPERATION_CONFLICT`
`static int` `DB_NOT_FOUND`
`static int` `DEFAULT_ALGORITHM_DEFINITION_INVALID`
`static int` `DOES_NOT_MATCH_COLUMN_LIST`
`static int` `DYNAMIC_ARRAY_OVERFLOW`
`static int` `DYNAMIC_ARRAY_UNDERFLOW`
`static int` `EMPTY_RESULTSET`
`static int` `EXCEED_PRIMITIVE_DATA_SIZE`
`static int` `EXECUTOR_CANNOT_BE_NULL`
`static int` `EXPLAIN_PLAN_TURNED_OFF`
`static int` `FAILOVER_SUCCESS`
`static int` `FAILURE_TO_FIND_STATEMENT`
`static int` `FETCH_OUT_OF_SEQUENCE`
`static int` `IGNORE_NO_COLUMN`
`static int` `IGNORE_NO_CURSOR`
`static int` `IGNORE_NO_ERROR`
`static int` `IGNORE_NO_PARAMETER`
`static int` `ILLEGAL_ACCESS`
`static int` `INCONSISTANCE_DATA_LENGTH`
`static int` `INTERNAL_ASSERTION`
`static int` `INTERNAL_BUFFER_OVERFLOW`
`static int` `INTERNAL_DATA_INTEGRITY_BROKEN`
`static int` `INVALID_ARGUMENT`
`static int` `INVALID_BATCH_OPERATION_WITH_SELECT`
`static int` `INVALID_BIND_COLUMN`
`static int` `INVALID_BIT_CHARACTER`
`static int` `INVALID_COLUMN_INDEX`
`static int` `INVALID_COLUMN_NAME`
`static int` `INVALID_CONNECTION_URL`
`static int` `INVALID_DATA_CONVERSION`
`static int` `INVALID_DATA_TYPE_LENGTH`
`static int` `INVALID_FORMAT_OF_ALTERNATE_SERVERS`
`static int` `INVALID_HEX_STRING_ELEMENT`
`static int` `INVALID_HEX_STRING_LENGTH`
`static int` `INVALID_KEYSTORE_URL`
`static int` `INVALID_LOB_RANGE`
`static int` `INVALID_LOB_START_OFFSET`
`static int` `INVALID_METHOD_INVOCATION`
`static int` `INVALID_NIBBLE_ARRAY_ELEMENT`
`static int` `INVALID_OPERATION_PROTOCOL`
`static int` `INVALID_PACKET_HEADER_VERSION`
`static int` `INVALID_PACKET_SEQUENCE_NUMBER`
`static int` `INVALID_PROPERTY_ID`
`static int` `INVALID_PROPERTY_VALUE`
`static int` `INVALID_QUERY_STRING`
`static int` `INVALID_SAVEPOINT`
`static int` `INVALID_SAVEPOINT_NAME`
`static int` `INVALID_STATE`
`static int` `INVALID_STATEMENT_PROCESSING_REQUEST`
`static int` `INVALID_TYPE`
`static int` `INVALID_TYPE_CONVERSION`
`static int` `IOEXCEPTION_FROM_INPUTSTREAM`
`static int` `KEY_MANAGEMENT_EXCEPTION_OCCURRED`
`static int` `MATERIALIZED_VIEW_NOT_FOUND`
`static int` `MORE_DATA_NEEDED`
`static int` `MULTIPLE_RESULTSET_RETURNED`
`static int` `NEED_MORE_PARAMETER`
`static int` `NO_AVAILABLE_DATASOURCE`
`static int` `NO_BATCH_JOB`
`static int` `NO_CURRENT_ROW`
`static int` `NO_DB_NAME_SPECIFIED`
`static int` `NO_PASSWORD_SPECIFIED`
`static int` `NO_RESULTSET`
`static int` `NO_TABLE_NAME_SPECIFIED`
`static int` `NO_USER_ID_SPECIFIED`
`static int` `NOT_OUT_TYPE_PARAMETER`
`static int` `NOT_SUPPORTED_MANDATORY_PROPERTY`
`static int` `NOT_SUPPORTED_OPERATION_ON_FORWARD_ONLY`
`static int` `NOT_SUPPORTED_OPERATION_ON_NAMED_SAVEPOINT`
`static int` `NOT_SUPPORTED_OPERATION_ON_READ_ONLY`
`static int` `NOT_SUPPORTED_OPERATION_ON_SCROLL_INSENSITIVE`
`static int` `NOT_SUPPORTED_OPERATION_ON_UNNAMED_SAVEPOINT`
`static int` `NULL_SQL_STRING`
`static int` `OPENED_CONNECTION`
`static int` `OPTION_VALUE_CHANGED`
`static int` `PACKET_TWISTED`
`static int` `PASSWORD_EXPIRATION_DATE_IS_COMING`
`static int` `PASSWORD_GRACE_PERIOD`
`static int` `PROCEDURE_OR_FUNCTION_NOT_FOUND`
`static int` `PROWID_NOT_SUPPORTED`
`static int` `QUERY_CANCELED_BY_CLIENT`
`static int` `QUERY_TIMEOUT`
`static int` `READONLY_CONNECTION_NOT_SUPPORTED`
`static int` `RESPONSE_TIMEOUT`
`static int` `RESULTSET_CREATED_BY_INTERNAL_STATEMENT`
`static int` `SEQUENCE_NOT_FOUND`
`static int` `SOME_BATCH_JOB`
`static int` `SOME_RESULTSET_RETURNED`
`static int` `SQL_SYNTAX_ERROR`
`static int` `STATEMENT_IS_NOT_PREPARED`
`static int` `STATEMENT_NOT_YET_EXECUTED`
`static int` `STMT_ID_MISMATCH`
`static int` `STREAM_ALREADY_CLOSED`
`static int` `SYNONYM_NOT_FOUND`
`static int` `TABLE_NOT_FOUND`
`static int` `THREAD_INTERRUPTED`
`static int` `TOO_LARGE_FETCH_SIZE`
`static int` `TOO_MANY_BATCH_JOBS`
`static int` `TOO_MANY_STATEMENTS`
`static int` `TRANSACTION_ALREADY_ACTIVE`
`static int` `TXI_LEVEL_CANNOT_BE_MODIFIED_FOR_AUTOCOMMIT`
`static int` `TYPE_CONVERSION_NOT_SUPPORTED`
`static int` `TYPE_PARAMETER_CANNOT_BE_NULL`
`static int` `UNDEFINED_USER_NAME`
`static int` `UNKNOWN_CONNTYPE`
`static int` `UNKNOWN_HOST`
`static int` `UNSUPPORTED_FEATURE`
`static int` `UNSUPPORTED_KEYSTORE_ALGORITHM`
`static int` `UNSUPPORTED_PROPERTY`
`static int` `UNSUPPORTED_TYPE_CONVERSION`
`static int` `VALUE_LENGTH_EXCEEDS`
`static int` `WAS_NULL_CALLED_BEFORE_CALLING_GETXXX`
`static int` `XA_CLOSE_FAIL`
`static int` `XA_OPEN_FAIL`
`static int` `XA_RECOVER_FAIL`

### Constructor Summary

Constructors
Constructor and Description
`ErrorDef()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getErrorMessage(int aErrorCode)`
`static java.lang.String` `getErrorState(int aErrorCode)`
`static java.lang.String` `getXAErrorMessage(int aErrorCode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IGNORE_NO_ERROR

    public static final int IGNORE_NO_ERROR

See Also:
  Constant Field Values

#### IGNORE_NO_COLUMN

    public static final int IGNORE_NO_COLUMN

See Also:
  Constant Field Values

#### IGNORE_NO_CURSOR

    public static final int IGNORE_NO_CURSOR

See Also:
  Constant Field Values

#### IGNORE_NO_PARAMETER

    public static final int IGNORE_NO_PARAMETER

See Also:
  Constant Field Values

#### QUERY_TIMEOUT

    public static final int QUERY_TIMEOUT

See Also:
  Constant Field Values

#### QUERY_CANCELED_BY_CLIENT

    public static final int QUERY_CANCELED_BY_CLIENT

See Also:
  Constant Field Values

#### INVALID_LOB_START_OFFSET

    public static final int INVALID_LOB_START_OFFSET

See Also:
  Constant Field Values

#### INVALID_DATA_TYPE_LENGTH

    public static final int INVALID_DATA_TYPE_LENGTH

See Also:
  Constant Field Values

#### TABLE_NOT_FOUND

    public static final int TABLE_NOT_FOUND

See Also:
  Constant Field Values

#### PROCEDURE_OR_FUNCTION_NOT_FOUND

    public static final int PROCEDURE_OR_FUNCTION_NOT_FOUND

See Also:
  Constant Field Values

#### SEQUENCE_NOT_FOUND

    public static final int SEQUENCE_NOT_FOUND

See Also:
  Constant Field Values

#### COLUMN_NOT_FOUND

    public static final int COLUMN_NOT_FOUND

See Also:
  Constant Field Values

#### ADMIN_MODE_ERROR

    public static final int ADMIN_MODE_ERROR

See Also:
  Constant Field Values

#### CANNOT_SELECT_PROWID

    public static final int CANNOT_SELECT_PROWID

See Also:
  Constant Field Values

#### PROWID_NOT_SUPPORTED

    public static final int PROWID_NOT_SUPPORTED

See Also:
  Constant Field Values

#### INVALID_STATEMENT_PROCESSING_REQUEST

    public static final int INVALID_STATEMENT_PROCESSING_REQUEST

See Also:
  Constant Field Values

#### DB_NOT_FOUND

    public static final int DB_NOT_FOUND

See Also:
  Constant Field Values

#### MATERIALIZED_VIEW_NOT_FOUND

    public static final int MATERIALIZED_VIEW_NOT_FOUND

See Also:
  Constant Field Values

#### SYNONYM_NOT_FOUND

    public static final int SYNONYM_NOT_FOUND

See Also:
  Constant Field Values

#### UNDEFINED_USER_NAME

    public static final int UNDEFINED_USER_NAME

See Also:
  Constant Field Values

#### SQL_SYNTAX_ERROR

    public static final int SQL_SYNTAX_ERROR

See Also:
  Constant Field Values

#### FETCH_OUT_OF_SEQUENCE

    public static final int FETCH_OUT_OF_SEQUENCE

See Also:
  Constant Field Values

#### FAILURE_TO_FIND_STATEMENT

    public static final int FAILURE_TO_FIND_STATEMENT

See Also:
  Constant Field Values

#### INVALID_LOB_RANGE

    public static final int INVALID_LOB_RANGE

See Also:
  Constant Field Values

#### PASSWORD_GRACE_PERIOD

    public static final int PASSWORD_GRACE_PERIOD

See Also:
  Constant Field Values

#### UNSUPPORTED_PROPERTY

    public static final int UNSUPPORTED_PROPERTY

See Also:
  Constant Field Values

#### COMMUNICATION_ERROR

    public static final int COMMUNICATION_ERROR

See Also:
  Constant Field Values

#### INVALID_DATA_CONVERSION

    public static final int INVALID_DATA_CONVERSION

See Also:
  Constant Field Values

#### INVALID_TYPE_CONVERSION

    public static final int INVALID_TYPE_CONVERSION

See Also:
  Constant Field Values

#### INVALID_PACKET_HEADER_VERSION

    public static final int INVALID_PACKET_HEADER_VERSION

See Also:
  Constant Field Values

#### INVALID_PACKET_SEQUENCE_NUMBER

    public static final int INVALID_PACKET_SEQUENCE_NUMBER

See Also:
  Constant Field Values

#### INVALID_OPERATION_PROTOCOL

    public static final int INVALID_OPERATION_PROTOCOL

See Also:
  Constant Field Values

#### DYNAMIC_ARRAY_OVERFLOW

    public static final int DYNAMIC_ARRAY_OVERFLOW

See Also:
  Constant Field Values

#### DYNAMIC_ARRAY_UNDERFLOW

    public static final int DYNAMIC_ARRAY_UNDERFLOW

See Also:
  Constant Field Values

#### INTERNAL_ASSERTION

    public static final int INTERNAL_ASSERTION

See Also:
  Constant Field Values

#### INVALID_CONNECTION_URL

    public static final int INVALID_CONNECTION_URL

See Also:
  Constant Field Values

#### NO_RESULTSET

    public static final int NO_RESULTSET

See Also:
  Constant Field Values

#### MULTIPLE_RESULTSET_RETURNED

    public static final int MULTIPLE_RESULTSET_RETURNED

See Also:
  Constant Field Values

#### INVALID_COLUMN_NAME

    public static final int INVALID_COLUMN_NAME

See Also:
  Constant Field Values

#### NO_DB_NAME_SPECIFIED

    public static final int NO_DB_NAME_SPECIFIED

See Also:
  Constant Field Values

#### NO_USER_ID_SPECIFIED

    public static final int NO_USER_ID_SPECIFIED

See Also:
  Constant Field Values

#### NO_PASSWORD_SPECIFIED

    public static final int NO_PASSWORD_SPECIFIED

See Also:
  Constant Field Values

#### NO_TABLE_NAME_SPECIFIED

    public static final int NO_TABLE_NAME_SPECIFIED

See Also:
  Constant Field Values

#### CURSOR_AT_BEFORE_FIRST

    public static final int CURSOR_AT_BEFORE_FIRST

See Also:
  Constant Field Values

#### CLOSED_CONNECTION

    public static final int CLOSED_CONNECTION

See Also:
  Constant Field Values

#### TXI_LEVEL_CANNOT_BE_MODIFIED_FOR_AUTOCOMMIT

    public static final int TXI_LEVEL_CANNOT_BE_MODIFIED_FOR_AUTOCOMMIT

See Also:
  Constant Field Values

#### INVALID_ARGUMENT

    public static final int INVALID_ARGUMENT

See Also:
  Constant Field Values

#### CANNOT_RENAME_DB_NAME

    public static final int CANNOT_RENAME_DB_NAME

See Also:
  Constant Field Values

#### READONLY_CONNECTION_NOT_SUPPORTED

    public static final int READONLY_CONNECTION_NOT_SUPPORTED

See Also:
  Constant Field Values

#### INVALID_PROPERTY_VALUE

    public static final int INVALID_PROPERTY_VALUE

See Also:
  Constant Field Values

#### CLOSED_STATEMENT

    public static final int CLOSED_STATEMENT

See Also:
  Constant Field Values

#### NO_BATCH_JOB

    public static final int NO_BATCH_JOB

See Also:
  Constant Field Values

#### SOME_BATCH_JOB

    public static final int SOME_BATCH_JOB

See Also:
  Constant Field Values

#### SOME_RESULTSET_RETURNED

    public static final int SOME_RESULTSET_RETURNED

See Also:
  Constant Field Values

#### NOT_SUPPORTED_OPERATION_ON_FORWARD_ONLY

    public static final int NOT_SUPPORTED_OPERATION_ON_FORWARD_ONLY

See Also:
  Constant Field Values

#### NOT_SUPPORTED_OPERATION_ON_READ_ONLY

    public static final int NOT_SUPPORTED_OPERATION_ON_READ_ONLY

See Also:
  Constant Field Values

#### UNSUPPORTED_FEATURE

    public static final int UNSUPPORTED_FEATURE

See Also:
  Constant Field Values

#### WAS_NULL_CALLED_BEFORE_CALLING_GETXXX

    public static final int WAS_NULL_CALLED_BEFORE_CALLING_GETXXX

See Also:
  Constant Field Values

#### TOO_LARGE_FETCH_SIZE

    public static final int TOO_LARGE_FETCH_SIZE

See Also:
  Constant Field Values

#### CLOSED_RESULTSET

    public static final int CLOSED_RESULTSET

See Also:
  Constant Field Values

#### RESULTSET_CREATED_BY_INTERNAL_STATEMENT

    public static final int RESULTSET_CREATED_BY_INTERNAL_STATEMENT

See Also:
  Constant Field Values

#### INVALID_COLUMN_INDEX

    public static final int INVALID_COLUMN_INDEX

See Also:
  Constant Field Values

#### CANNOT_USE_PREPARED_STATEMENT_METHOD_WITH_SQL

    public static final int CANNOT_USE_PREPARED_STATEMENT_METHOD_WITH_SQL

See Also:
  Constant Field Values

#### NOT_SUPPORTED_OPERATION_ON_SCROLL_INSENSITIVE

    public static final int NOT_SUPPORTED_OPERATION_ON_SCROLL_INSENSITIVE

See Also:
  Constant Field Values

#### INVALID_BIT_CHARACTER

    public static final int INVALID_BIT_CHARACTER

See Also:
  Constant Field Values

#### NULL_SQL_STRING

    public static final int NULL_SQL_STRING

See Also:
  Constant Field Values

#### CANNOT_BIND_THE_DATA_TYPE_DURING_ADDING_BATCH_JOB

    public static final int CANNOT_BIND_THE_DATA_TYPE_DURING_ADDING_BATCH_JOB

See Also:
  Constant Field Values

#### NEED_MORE_PARAMETER

    public static final int NEED_MORE_PARAMETER

See Also:
  Constant Field Values

#### NOT_OUT_TYPE_PARAMETER

    public static final int NOT_OUT_TYPE_PARAMETER

See Also:
  Constant Field Values

#### CURSOR_AT_AFTER_LAST

    public static final int CURSOR_AT_AFTER_LAST

See Also:
  Constant Field Values

#### STREAM_ALREADY_CLOSED

    public static final int STREAM_ALREADY_CLOSED

See Also:
  Constant Field Values

#### CURSOR_AT_INSERTING_ROW

    public static final int CURSOR_AT_INSERTING_ROW

See Also:
  Constant Field Values

#### CURSOR_NOT_AT_INSERTING_ROW

    public static final int CURSOR_NOT_AT_INSERTING_ROW

See Also:
  Constant Field Values

#### XA_OPEN_FAIL

    public static final int XA_OPEN_FAIL

See Also:
  Constant Field Values

#### XA_CLOSE_FAIL

    public static final int XA_CLOSE_FAIL

See Also:
  Constant Field Values

#### RESPONSE_TIMEOUT

    public static final int RESPONSE_TIMEOUT

See Also:
  Constant Field Values

#### UNSUPPORTED_TYPE_CONVERSION

    public static final int UNSUPPORTED_TYPE_CONVERSION

See Also:
  Constant Field Values

#### FAILOVER_SUCCESS

    public static final int FAILOVER_SUCCESS

See Also:
  Constant Field Values

#### INVALID_FORMAT_OF_ALTERNATE_SERVERS

    public static final int INVALID_FORMAT_OF_ALTERNATE_SERVERS

See Also:
  Constant Field Values

#### UNKNOWN_HOST

    public static final int UNKNOWN_HOST

See Also:
  Constant Field Values

#### CLIENT_UNABLE_ESTABLISH_CONNECTION

    public static final int CLIENT_UNABLE_ESTABLISH_CONNECTION

See Also:
  Constant Field Values

#### XA_RECOVER_FAIL

    public static final int XA_RECOVER_FAIL

See Also:
  Constant Field Values

#### THREAD_INTERRUPTED

    public static final int THREAD_INTERRUPTED

See Also:
  Constant Field Values

#### EXCEED_PRIMITIVE_DATA_SIZE

    public static final int EXCEED_PRIMITIVE_DATA_SIZE

See Also:
  Constant Field Values

#### EXPLAIN_PLAN_TURNED_OFF

    public static final int EXPLAIN_PLAN_TURNED_OFF

See Also:
  Constant Field Values

#### STATEMENT_IS_NOT_PREPARED

    public static final int STATEMENT_IS_NOT_PREPARED

See Also:
  Constant Field Values

#### STMT_ID_MISMATCH

    public static final int STMT_ID_MISMATCH

See Also:
  Constant Field Values

#### PACKET_TWISTED

    public static final int PACKET_TWISTED

See Also:
  Constant Field Values

#### INVALID_QUERY_STRING

    public static final int INVALID_QUERY_STRING

See Also:
  Constant Field Values

#### DOES_NOT_MATCH_COLUMN_LIST

    public static final int DOES_NOT_MATCH_COLUMN_LIST

See Also:
  Constant Field Values

#### OPTION_VALUE_CHANGED

    public static final int OPTION_VALUE_CHANGED

See Also:
  Constant Field Values

#### CURSOR_OPERATION_CONFLICT

    public static final int CURSOR_OPERATION_CONFLICT

See Also:
  Constant Field Values

#### INVALID_BIND_COLUMN

    public static final int INVALID_BIND_COLUMN

See Also:
  Constant Field Values

#### INVALID_BATCH_OPERATION_WITH_SELECT

    public static final int INVALID_BATCH_OPERATION_WITH_SELECT

See Also:
  Constant Field Values

#### TRANSACTION_ALREADY_ACTIVE

    public static final int TRANSACTION_ALREADY_ACTIVE

See Also:
  Constant Field Values

#### BATCH_UPDATE_EXCEPTION_OCCURRED

    public static final int BATCH_UPDATE_EXCEPTION_OCCURRED

See Also:
  Constant Field Values

#### TOO_MANY_BATCH_JOBS

    public static final int TOO_MANY_BATCH_JOBS

See Also:
  Constant Field Values

#### TOO_MANY_STATEMENTS

    public static final int TOO_MANY_STATEMENTS

See Also:
  Constant Field Values

#### IOEXCEPTION_FROM_INPUTSTREAM

    public static final int IOEXCEPTION_FROM_INPUTSTREAM

See Also:
  Constant Field Values

#### INVALID_METHOD_INVOCATION

    public static final int INVALID_METHOD_INVOCATION

See Also:
  Constant Field Values

#### INCONSISTANCE_DATA_LENGTH

    public static final int INCONSISTANCE_DATA_LENGTH

See Also:
  Constant Field Values

#### STATEMENT_NOT_YET_EXECUTED

    public static final int STATEMENT_NOT_YET_EXECUTED

See Also:
  Constant Field Values

#### CANNOT_SET_SAVEPOINT_AT_AUTO_COMMIT_MODE

    public static final int CANNOT_SET_SAVEPOINT_AT_AUTO_COMMIT_MODE

See Also:
  Constant Field Values

#### INVALID_SAVEPOINT_NAME

    public static final int INVALID_SAVEPOINT_NAME

See Also:
  Constant Field Values

#### INVALID_SAVEPOINT

    public static final int INVALID_SAVEPOINT

See Also:
  Constant Field Values

#### NOT_SUPPORTED_OPERATION_ON_NAMED_SAVEPOINT

    public static final int NOT_SUPPORTED_OPERATION_ON_NAMED_SAVEPOINT

See Also:
  Constant Field Values

#### NOT_SUPPORTED_OPERATION_ON_UNNAMED_SAVEPOINT

    public static final int NOT_SUPPORTED_OPERATION_ON_UNNAMED_SAVEPOINT

See Also:
  Constant Field Values

#### NO_CURRENT_ROW

    public static final int NO_CURRENT_ROW

See Also:
  Constant Field Values

#### NO_AVAILABLE_DATASOURCE

    public static final int NO_AVAILABLE_DATASOURCE

See Also:
  Constant Field Values

#### EMPTY_RESULTSET

    public static final int EMPTY_RESULTSET

See Also:
  Constant Field Values

#### INVALID_PROPERTY_ID

    public static final int INVALID_PROPERTY_ID

See Also:
  Constant Field Values

#### INVALID_STATE

    public static final int INVALID_STATE

See Also:
  Constant Field Values

#### MORE_DATA_NEEDED

    public static final int MORE_DATA_NEEDED

See Also:
  Constant Field Values

#### INVALID_TYPE

    public static final int INVALID_TYPE

See Also:
  Constant Field Values

#### INTERNAL_BUFFER_OVERFLOW

    public static final int INTERNAL_BUFFER_OVERFLOW

See Also:
  Constant Field Values

#### INTERNAL_DATA_INTEGRITY_BROKEN

    public static final int INTERNAL_DATA_INTEGRITY_BROKEN

See Also:
  Constant Field Values

#### ILLEGAL_ACCESS

    public static final int ILLEGAL_ACCESS

See Also:
  Constant Field Values

#### ALREADY_CONVERTED

    public static final int ALREADY_CONVERTED

See Also:
  Constant Field Values

#### INVALID_HEX_STRING_LENGTH

    public static final int INVALID_HEX_STRING_LENGTH

See Also:
  Constant Field Values

#### INVALID_HEX_STRING_ELEMENT

    public static final int INVALID_HEX_STRING_ELEMENT

See Also:
  Constant Field Values

#### INVALID_NIBBLE_ARRAY_ELEMENT

    public static final int INVALID_NIBBLE_ARRAY_ELEMENT

See Also:
  Constant Field Values

#### COLUMN_READER_INITIALIZATION_SKIPPED

    public static final int COLUMN_READER_INITIALIZATION_SKIPPED

See Also:
  Constant Field Values

#### VALUE_LENGTH_EXCEEDS

    public static final int VALUE_LENGTH_EXCEEDS

See Also:
  Constant Field Values

#### PASSWORD_EXPIRATION_DATE_IS_COMING

    public static final int PASSWORD_EXPIRATION_DATE_IS_COMING

See Also:
  Constant Field Values

#### UNSUPPORTED_KEYSTORE_ALGORITHM

    public static final int UNSUPPORTED_KEYSTORE_ALGORITHM

See Also:
  Constant Field Values

#### CAN_NOT_CREATE_KEYSTORE_INSTANCE

    public static final int CAN_NOT_CREATE_KEYSTORE_INSTANCE

See Also:
  Constant Field Values

#### CAN_NOT_LOAD_KEYSTORE

    public static final int CAN_NOT_LOAD_KEYSTORE

See Also:
  Constant Field Values

#### INVALID_KEYSTORE_URL

    public static final int INVALID_KEYSTORE_URL

See Also:
  Constant Field Values

#### KEY_MANAGEMENT_EXCEPTION_OCCURRED

    public static final int KEY_MANAGEMENT_EXCEPTION_OCCURRED

See Also:
  Constant Field Values

#### CAN_NOT_RETREIVE_KEY_FROM_KEYSTORE

    public static final int CAN_NOT_RETREIVE_KEY_FROM_KEYSTORE

See Also:
  Constant Field Values

#### CAN_NOT_OPEN_KEYSTORE

    public static final int CAN_NOT_OPEN_KEYSTORE

See Also:
  Constant Field Values

#### DEFAULT_ALGORITHM_DEFINITION_INVALID

    public static final int DEFAULT_ALGORITHM_DEFINITION_INVALID

See Also:
  Constant Field Values

#### NOT_SUPPORTED_MANDATORY_PROPERTY

    public static final int NOT_SUPPORTED_MANDATORY_PROPERTY

See Also:
  Constant Field Values

#### OPENED_CONNECTION

    public static final int OPENED_CONNECTION

See Also:
  Constant Field Values

#### UNKNOWN_CONNTYPE

    public static final int UNKNOWN_CONNTYPE

See Also:
  Constant Field Values

#### EXECUTOR_CANNOT_BE_NULL

    public static final int EXECUTOR_CANNOT_BE_NULL

See Also:
  Constant Field Values

#### TYPE_PARAMETER_CANNOT_BE_NULL

    public static final int TYPE_PARAMETER_CANNOT_BE_NULL

See Also:
  Constant Field Values

#### TYPE_CONVERSION_NOT_SUPPORTED

    public static final int TYPE_CONVERSION_NOT_SUPPORTED

See Also:
  Constant Field Values

#### CANNOT_BE_UNWRAPPED

    public static final int CANNOT_BE_UNWRAPPED

See Also:
  Constant Field Values

#### ARGUMENT_OVER_LIMIT

    public static final int ARGUMENT_OVER_LIMIT

See Also:
  Constant Field Values

#### ARGUMENT_UNDER_LIMIT

    public static final int ARGUMENT_UNDER_LIMIT

See Also:
  Constant Field Values

### Constructor Detail

#### ErrorDef

    public ErrorDef()

### Method Detail

#### getErrorMessage

    public static java.lang.String getErrorMessage(int aErrorCode)

#### getErrorState

    public static java.lang.String getErrorState(int aErrorCode)

#### getXAErrorMessage

    public static java.lang.String getXAErrorMessage(int aErrorCode)